Panda3D

Loading...
Searching...
No Matches
List of all members
ImageBase Class Reference

This specialization of ProgramBase is intended for programs that read and/or write a single image file. More...

`#include "imageBase.h"`

Inheritance diagram for ImageBase:

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files.
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args().
void | show_description ()
| Writes the program description to stderr.
void | show_options ()
| Describes each of the available options to stderr.
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width.
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width.
void | show_usage ()
| Writes the usage line(s) to stderr.
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options.
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

This specialization of ProgramBase is intended for programs that read and/or write a single image file.

(See ImageMultiBase for programs that operate on multiple image files at once.)

This is just a base class; see ImageReader, ImageWriter, or ImageFilter according to your particular I/O needs.

Definition at line 31 of file imageBase.h.

## Constructor & Destructor Documentation

## ◆ ImageBase()

ImageBase::ImageBase | ( |  | ) |

Definition at line 19 of file imageBase.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/imagebase/imageBase.h
- pandatool/src/imagebase/imageBase.cxx